Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class AnsiTrimEmulationFunction

    java.lang.Object
      org.hibernate.dialect.function.AnsiTrimEmulationFunction

All Implemented Interfaces:
  SQLFunction

    public class AnsiTrimEmulationFunction

extends Object
implements SQLFunction

A `SQLFunction` implementation that emulates the ANSI SQL trim function on dialects which do not support the full definition. However, this function definition does assume the availability of ltrim, rtrim, and replace functions which it uses in various combinations to emulate the desired ANSI trim() functionality.

Author:
  Steve Ebersole

Constructor Summary
`AnsiTrimEmulationFunction()`

Method Summary
`Type` | `getReturnType(Type columnType, Mapping mapping)` The return type of the function.
`boolean` | `hasArguments()` Does this function have any arguments?
`boolean` | `hasParenthesesIfNoArguments()` If there are no arguments, are parens required?
`String` | `render(List args, SessionFactoryImplementor factory)` Render the function call as SQL fragment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnsiTrimEmulationFunction

    public AnsiTrimEmulationFunction()

Method Detail

### getReturnType

    public Type getReturnType(Type columnType,
                              Mapping mapping)
                       throws QueryException

  Description copied from interface: `SQLFunction`
  The return type of the function. May be either a concrete type which is preset, or variable depending upon the type of the first function argument.

  Specified by:
    `getReturnType` in interface `SQLFunction`
  Parameters:
    `columnType` - the type of the first argument
    `mapping` - The mapping source.
  Returns:
    The type to be expected as a return.
  Throws:
    `QueryException` - Indicates an issue resolving the return type.

### hasArguments

    public boolean hasArguments()

  Description copied from interface: `SQLFunction`
  Does this function have any arguments?

  Specified by:
    `hasArguments` in interface `SQLFunction`
  Returns:
    True if the function expects to have parameters; false otherwise.

### hasParenthesesIfNoArguments

    public boolean hasParenthesesIfNoArguments()

  Description copied from interface: `SQLFunction`
  If there are no arguments, are parens required?

  Specified by:
    `hasParenthesesIfNoArguments` in interface `SQLFunction`
  Returns:
    True if a no-arg call of this function requires parentheses.

### render

    public String render(List args,
                         SessionFactoryImplementor factory)
                  throws QueryException

  Description copied from interface: `SQLFunction`
  Render the function call as SQL fragment.

  Specified by:
    `render` in interface `SQLFunction`
  Parameters:
    `args` - The function arguments
    `factory` - The SessionFactory
  Returns:
    The rendered function call
  Throws:
    `QueryException` - Indicates a problem rendering the function call.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD